BEEPError (BEEP Core API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.beepcore.beep.core
Class BEEPError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.beepcore.beep.core.BEEPException
                        |
                        +--org.beepcore.beep.core.BEEPError

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CloseChannelException, StartChannelException

public class BEEPError
extends BEEPException

Class BEEPError

See Also:
  Serialized Form

Field Summary
`static int` | `CODE_ACTION_NOT_AUTHORIZED` Action not authorized for user
`static int` | `CODE_AUTHENTICATION_FAILURE` Authentication failure
`static int` | `CODE_AUTHENTICATION_INSUFFICIENT` Authentication mechanism insufficient (e.g., too weak, sequence exhausted, etc.)
`static int` | `CODE_AUTHENTICATION_REQUIRED` Authentication required
`static int` | `CODE_AUTHENTICATION_REQUIRES_ENCRYPTION` Authentication mechanism requires encryption
`static int` | `CODE_GENERAL_SYNTAX_ERROR` General syntax error (e.g., poorly-formed XML)
`static int` | `CODE_PARAMETER_ERROR` Syntax error in parameters (e.g., non-valid XML)
`static int` | `CODE_PARAMETER_INVALID` Parameter invalid
`static int` | `CODE_PARAMETER_NOT_IMPLEMENTED` Parameter not implemented
`static int` | `CODE_REQUESTED_ACTION_ABORTED` Requested action aborted (e.g., local error in processing)
`static int` | `CODE_REQUESTED_ACTION_NOT_TAKEN` Requested action not taken (e.g., lock already in use)
`static int` | `CODE_REQUESTED_ACTION_NOT_TAKEN2` requested action not taken (e.g., no requested profiles are acceptable)
`static int` | `CODE_SERVICE_NOT_AVAILABLE` Service not available
`static int` | `CODE_SUCCESS` Success
`static int` | `CODE_TEMPORARY_AUTHENTICATION_FAILURE` Temporary authentication failure
`static int` | `CODE_TRANSACTION_FAILED` Transaction failed (e.g. policy violation).

Constructor Summary
`BEEPError(int code)` Constructor BEEPError
`BEEPError(int code, java.lang.String diagnostic)` Constructor BEEPError
`BEEPError(int code, java.lang.String diagnostic, java.lang.String xmlLang)` Constructor BEEPError

Method Summary
`protected static BEEPError` | `convertMessageERRToException(Message message)` Method convertMessageERRToException
`java.lang.String` | `createErrorMessage()` Method createErrorMessage
`static java.lang.String` | `createErrorMessage(int code, java.lang.String diagnostic)` Creates a `String` for an error element that can be sent in a BEEP ERR message.
`static java.lang.String` | `createErrorMessage(int code, java.lang.String diagnostic, java.lang.String xmlLang)` Creates a `String` for an error element that can be sent in a BEEP ERR message.
`int` | `getCode()` Method getCode
`java.lang.String` | `getDiagnostic()` Method getDiagnostic
`java.lang.String` | `getXMLLang()` Method getXMLLang

Methods inherited from class org.beepcore.beep.core.BEEPException
`getCause, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CODE_SUCCESS

    public static final int CODE_SUCCESS

  Success

  See Also:
    Constant Field Values

### CODE_SERVICE_NOT_AVAILABLE

    public static final int CODE_SERVICE_NOT_AVAILABLE

  Service not available

  See Also:
    Constant Field Values

### CODE_REQUESTED_ACTION_NOT_TAKEN

    public static final int CODE_REQUESTED_ACTION_NOT_TAKEN

  Requested action not taken (e.g., lock already in use)

  See Also:
    Constant Field Values

### CODE_REQUESTED_ACTION_ABORTED

    public static final int CODE_REQUESTED_ACTION_ABORTED

  Requested action aborted (e.g., local error in processing)

  See Also:
    Constant Field Values

### CODE_TEMPORARY_AUTHENTICATION_FAILURE

    public static final int CODE_TEMPORARY_AUTHENTICATION_FAILURE

  Temporary authentication failure

  See Also:
    Constant Field Values

### CODE_GENERAL_SYNTAX_ERROR

    public static final int CODE_GENERAL_SYNTAX_ERROR

  General syntax error (e.g., poorly-formed XML)

  See Also:
    Constant Field Values

### CODE_PARAMETER_ERROR

    public static final int CODE_PARAMETER_ERROR

  Syntax error in parameters (e.g., non-valid XML)

  See Also:
    Constant Field Values

### CODE_PARAMETER_NOT_IMPLEMENTED

    public static final int CODE_PARAMETER_NOT_IMPLEMENTED

  Parameter not implemented

  See Also:
    Constant Field Values

### CODE_AUTHENTICATION_REQUIRED

    public static final int CODE_AUTHENTICATION_REQUIRED

  Authentication required

  See Also:
    Constant Field Values

### CODE_AUTHENTICATION_INSUFFICIENT

    public static final int CODE_AUTHENTICATION_INSUFFICIENT

  Authentication mechanism insufficient (e.g., too weak, sequence exhausted, etc.)

  See Also:
    Constant Field Values

### CODE_AUTHENTICATION_FAILURE

    public static final int CODE_AUTHENTICATION_FAILURE

  Authentication failure

  See Also:
    Constant Field Values

### CODE_ACTION_NOT_AUTHORIZED

    public static final int CODE_ACTION_NOT_AUTHORIZED

  Action not authorized for user

  See Also:
    Constant Field Values

### CODE_AUTHENTICATION_REQUIRES_ENCRYPTION

    public static final int CODE_AUTHENTICATION_REQUIRES_ENCRYPTION

  Authentication mechanism requires encryption

  See Also:
    Constant Field Values

### CODE_REQUESTED_ACTION_NOT_TAKEN2

    public static final int CODE_REQUESTED_ACTION_NOT_TAKEN2

  requested action not taken (e.g., no requested profiles are acceptable)

  See Also:
    Constant Field Values

### CODE_PARAMETER_INVALID

    public static final int CODE_PARAMETER_INVALID

  Parameter invalid

  See Also:
    Constant Field Values

### CODE_TRANSACTION_FAILED

    public static final int CODE_TRANSACTION_FAILED

  Transaction failed (e.g. policy violation).

  See Also:
    Constant Field Values

Constructor Detail

### BEEPError

    public BEEPError(int code,
                     java.lang.String diagnostic,
                     java.lang.String xmlLang)

  Constructor BEEPError

Parameters:
  `code` -
  `diagnostic` -
  `xmlLang` -

### BEEPError

    public BEEPError(int code,
                     java.lang.String diagnostic)

  Constructor BEEPError

Parameters:
  `code` -
  `diagnostic` -

### BEEPError

    public BEEPError(int code)

  Constructor BEEPError

Parameters:
  `code` -

Method Detail

### getCode

    public int getCode()

  Method getCode

  Returns:
    the BEEP ERR code

### getXMLLang

    public java.lang.String getXMLLang()

  Method getXMLLang

  Returns:
    the BEEP ERR xmllang

### getDiagnostic

    public java.lang.String getDiagnostic()

  Method getDiagnostic

  Returns:
    the BEEP ERR diagnostic message

### createErrorMessage

    public java.lang.String createErrorMessage()

  Method createErrorMessage

  Returns:
    the XML error element that can be sent in a BEEP ERR message

### createErrorMessage

    public static java.lang.String createErrorMessage(int code,
                                                      java.lang.String diagnostic)

  Creates a `String` for an error element that can be sent in a BEEP ERR message.

  Parameters:
    `code` - Error code.
    `diagnostic` - Error diagnostic.

### createErrorMessage

    public static java.lang.String createErrorMessage(int code,
                                                      java.lang.String diagnostic,
                                                      java.lang.String xmlLang)

  Creates a `String` for an error element that can be sent in a BEEP ERR message.

  Parameters:
    `code` - Error code.
    `diagnostic` - Error diagnostic.
    `xmlLang` - Language of the diagnostic message.

### convertMessageERRToException

    protected static BEEPError convertMessageERRToException(Message message)
                                                     throws BEEPException

  Method convertMessageERRToException

  Parameters:
    `message` -
  Returns:
    New `BEEPError` for the specified BEEP ERR message
  Throws:
    `BEEPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.